Subject: Possible ZSH bug with IO direction
From: Roger Qiu <[email-masked]>
To: [email-masked]
Date: Sun, 24 Apr 2016 04:30:20 +1000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi,

I'm running ZSH on Cygwin. But earlier I noticed this error:

```
 > gm convert -compress JPEG - - < input.jpg > output.jpg
gm convert: Corrupt JPEG data: 873 extraneous bytes before marker 0xd9 
(/tmp/gmo1fx92).
```

These 2 work fine in ZSH:

```
 > cat input.jpg | gm convert -compress JPEG - - > output.jpg
 > gm convert -compress JPEG input.jpg output.jpg
```

While all 3 above commands work in Bash without problems.

I'm reporting it here to see if anybody else is meeting the same 
problem, and if so, perhaps it is a ZSH bug.

I had asked this earlier in: 
http://stackoverflow.com/questions/36495113/in-zsh-redirecting-image-file-into-graphic-magick-results-in-corrupt-jpeg-data

Thanks,
Roger

-- 
Founder of Matrix AI
https://matrix.ai/
+61420925975